package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class MdTriggersDTO implements Serializable {

    private static final long serialVersionUID = 655486805001237L;

    private Integer id;

    private Integer tableOrViewIdFk;

    private Character triggerOnFlag;

    private String triggerName;

    private String triggerTiming;

    private String triggerOperation;

    private String triggerEvent;

    private String nativeSql;

    private String nativeKey;

    private String language;

    private String comments;

    private Integer linecount;

    private Integer securityGroupId;

    private java.util.Date createdOn;

    private String createdBy;

    private java.util.Date lastUpdatedOn;

    private String lastUpdatedBy;

        public Integer getId() {
    return id;
    }

        public void setId(Integer id) {
    this.id = id;
    }

        public Integer getTableOrViewIdFk() {
    return tableOrViewIdFk;
    }

        public void setTableOrViewIdFk(Integer tableOrViewIdFk) {
    this.tableOrViewIdFk = tableOrViewIdFk;
    }

        public Character getTriggerOnFlag() {
    return triggerOnFlag;
    }

        public void setTriggerOnFlag(Character triggerOnFlag) {
    this.triggerOnFlag = triggerOnFlag;
    }

        public String getTriggerName() {
    return triggerName;
    }

        public void setTriggerName(String triggerName) {
    this.triggerName = triggerName;
    }

        public String getTriggerTiming() {
    return triggerTiming;
    }

        public void setTriggerTiming(String triggerTiming) {
    this.triggerTiming = triggerTiming;
    }

        public String getTriggerOperation() {
    return triggerOperation;
    }

        public void setTriggerOperation(String triggerOperation) {
    this.triggerOperation = triggerOperation;
    }

        public String getTriggerEvent() {
    return triggerEvent;
    }

        public void setTriggerEvent(String triggerEvent) {
    this.triggerEvent = triggerEvent;
    }

        public String getNativeSql() {
    return nativeSql;
    }

        public void setNativeSql(String nativeSql) {
    this.nativeSql = nativeSql;
    }

        public String getNativeKey() {
    return nativeKey;
    }

        public void setNativeKey(String nativeKey) {
    this.nativeKey = nativeKey;
    }

        public String getLanguage() {
    return language;
    }

        public void setLanguage(String language) {
    this.language = language;
    }

        public String getComments() {
    return comments;
    }

        public void setComments(String comments) {
    this.comments = comments;
    }

        public Integer getLinecount() {
    return linecount;
    }

        public void setLinecount(Integer linecount) {
    this.linecount = linecount;
    }

        public Integer getSecurityGroupId() {
    return securityGroupId;
    }

        public void setSecurityGroupId(Integer securityGroupId) {
    this.securityGroupId = securityGroupId;
    }

        public java.util.Date getCreatedOn() {
    return createdOn;
    }

        public void setCreatedOn(java.util.Date createdOn) {
    this.createdOn = createdOn;
    }

        public String getCreatedBy() {
    return createdBy;
    }

        public void setCreatedBy(String createdBy) {
    this.createdBy = createdBy;
    }

        public java.util.Date getLastUpdatedOn() {
    return lastUpdatedOn;
    }

        public void setLastUpdatedOn(java.util.Date lastUpdatedOn) {
    this.lastUpdatedOn = lastUpdatedOn;
    }

        public String getLastUpdatedBy() {
    return lastUpdatedBy;
    }

        public void setLastUpdatedBy(String lastUpdatedBy) {
    this.lastUpdatedBy = lastUpdatedBy;
    }

}